*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

:root{
    --bgcolor1: #1B9AAA;
    --bgcolor2: #F8FFE5;
    --bgcolor3: #06D6A0;
    --board-color:#001B2E;
    --button-color:#FF8811;
    --glow-color: #ffb411;
}


body{
    min-height: 100vh;
    min-width: 100vw;
    max-height: 100%;
    max-width: 100%;
    background: linear-gradient(to right bottom, var(--bgcolor1),var(--bgcolor2),var(--bgcolor3));
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 1rem;
    padding: 0.5rem;
}

.heading{
    font-size: 2rem;
    font-weight: bold;
}

.game-board{
    text-align: center;
    background-color: var(--board-color);
    color:white;
    padding: 1.5rem;
    border-radius: 1.5rem;
    height: max-content;
    width: max-content;
    display: flex;
    flex-direction: row;
    gap: 2rem;
    justify-content: center;
    align-items: flex-start;
    font-size: 1.2rem;
}

.difficulty{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
    width: 100%;
    gap: 1rem;
}

.diff-button{
    min-width: max-content;
    width: 6rem;
    font-size: 1rem;
    padding:0.8rem;
    border-radius: 1rem;
    background-color: var(--button-color);
    border: none;
    color: white;
    font-weight: bold;
    transition: 0.3s ease-in-out;
}

.message{
    text-align: center;
    width: 100%;
    font-size: 1.5rem;
    font-weight: bold;
}

.game{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    flex-direction: column;
}

.game-section{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-template-rows: repeat(3,1fr);
    gap: 1rem;
    min-height: max-content;
    min-width: max-content;
    background-color: var(--board-color);
    padding: 2rem;
    border-radius: 10%;
}

.box{
    width: 4rem;
    height: 4rem;
    font-size: 1.5rem;
    color: rgb(185, 185, 185);
    border: none;
    background-color: var(--bgcolor2);
    border-radius: 10%;
}

.start-end{
    background-color: var(--board-color);
    padding: 1.5rem;
    width: max-content;
    height: max-content;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
    gap: 2rem;
    border-radius: 2rem;
}

.box-1{
    padding: 0.8rem;
    background-color: var(--button-color);
    color: white;
    font-weight: bold;
    transition: 0.3s ease-in-out;
    border: none;
    border-radius: 1rem;
    min-width: max-content;
    min-height: max-content;
    font-size: 1rem;
}

.glow{
    background-color: var(--glow-color);
    color: black;
}

.diff-button:hover, .box-1:hover{
    background-color: var(--glow-color);
    color: black;
}

.right{
    background-color: rgb(0, 224, 0);
    color: white;
}

.wrong{
    background-color: red;
    color: white;
}